%{?nodejs_find_provides_and_requires}

Name:       nodejs-which
Version:    1.3.1
Release:    %mkrel 1
Summary:    A JavaScript implementation of the 'which' command
License:    MIT
Group:      System/Libraries
URL:        https://github.com/isaacs/node-which
Source0:    http://registry.npmjs.org/which/-/which-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(is-absolute)
BuildRequires:  npm(isexe)

%description
%{summary}.

%prep
%setup -q -n package
%nodejs_fixdep is-absolute ^1.0.
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/which
cp -pr bin which.js package.json %{buildroot}%{nodejs_sitelib}/which

mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/which/bin/which %{buildroot}%{_bindir}/which-nodejs

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/which
%{_bindir}/which-nodejs
%doc README.md LICENSE



%changelog
* Thu Aug 06 2020 joequant <joequant> 1.3.1-1.mga8
+ Revision: 1611401
- update to 1.3.1

* Tue May 05 2020 joequant <joequant> 1.3.0-7.mga8
+ Revision: 1580260
- redo deps
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 1.3.0-5.mga8
+ Revision: 1503316
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.3.0-4.mga7
+ Revision: 1281296
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 1.3.0-3.mga7
+ Revision: 1225731
- Fix nodejs deps for is-absolute

* Thu May 03 2018 kekepower <kekepower> 1.3.0-2.mga7
+ Revision: 1225346
- Rebuild for new deps

* Mon Apr 30 2018 kekepower <kekepower> 1.3.0-1.mga7
+ Revision: 1223728
- Update to version 1.3.0

* Fri May 13 2016 joequant <joequant> 1.2.8-1.mga6
+ Revision: 1014776
- upgrade to 1.2.8

* Mon Feb 08 2016 umeabot <umeabot> 1.0.5-11.mga6
+ Revision: 950283
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 1.0.5-10.mga5
+ Revision: 793679
- imported package nodejs-which

